%define major 0
%define libname %mklibname %name %major
%define devname %mklibname %name -d


Summary:	Utility for transforming a bitmap into a scalable image
Name:		potrace
Version:	1.11
Release:	%mkrel 3
License:	GPLv2
Group:		Graphics/Utilities
URL:		http://potrace.sourceforge.net/
Source0:	http://potrace.sourceforge.net/download/%{name}-%{version}.tar.gz
BuildRequires:	zlib-devel
Provides:	fonttracer

%package -n %libname
Summary: Shared library for potrace
Group: System/Libraries

%description -n %libname
Libpotrace is the library for potrace


%package -n %devname
Summary: Development files for lib%name
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %devname
Libpotrace is the library for potrace

This package contains the files for developing applications which
will use libpotrace.

%description
potrace is a utility for tracing a bitmap, which means, transforming 
a bitmap into a smooth, scalable image. The input is a bitmap (PBM, 
PGM, PPM, or BMP format), and the output can be EPS (default), 
Postscript, SVG ou PGM (for easy antialiasing). A typical use is to 
create EPS files from scanned data, such as company or university logos, 
handwritten notes, etc. The resulting image is not "jaggy" like a bitmap, 
but smooth. It can then be rendered at any resolution.

%prep
%setup -q

# fix file perm
chmod -R go+rX .

%build
%configure2_5x --enable-a4 --with-libpotrace --disable-static
%make

%install
%makeinstall_std

rm -f %buildroot/%{_libdir}/*.la

%files
%doc AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/*
%{_mandir}/man1/*

%files -n %libname
%{_libdir}/lib%name.so.%{major}*

%files -n %devname
%{_libdir}/lib%name.so
%{_includedir}/potracelib.h


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.11-3.mga4
+ Revision: 545761
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 doktor5000 <doktor5000> 1.11-2.mga4
+ Revision: 501769
- enabled building libpotrace, headers are needed for updated uniconvertor
- added libification, removed libtool archives, disabled static libraries

* Fri Sep 27 2013 sander85 <sander85> 1.11-1.mga4
+ Revision: 488063
- New version: 1.11

* Sun Jan 13 2013 umeabot <umeabot> 1.10-3.mga3
+ Revision: 378132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Sat Dec 08 2012 malo <malo> 1.10-2.mga3
+ Revision: 328951
- update RPM group

* Fri Sep 02 2011 kharec <kharec> 1.10-1.mga2
+ Revision: 137913
- New version 1.10

* Thu Apr 14 2011 tv <tv> 1.9-1.mga1
+ Revision: 85178
- new release

* Mon Jan 17 2011 pterjan <pterjan> 1.8-6.mga1
+ Revision: 21154
- imported package potrace


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8-6mdv2011.0
+ Revision: 607196
- rebuild

* Mon Feb 01 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.8-5mdv2010.1
+ Revision: 499132
- fix licence and rpmlint warning

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.8-4mdv2010.0
+ Revision: 426773
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.8-3mdv2009.0
+ Revision: 225027
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.8-2mdv2008.1
+ Revision: 179256
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 08 2007 Adam Williamson <awilliamson@mandriva.org> 1.8-1mdv2008.0
+ Revision: 37054
- new release 1.8; rebuild for new era


* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.7-3mdk
- Rebuild

* Wed Aug 10 2005 Abel Cheung <deaddog@mandriva.org> 1.7-2mdk
- Rebuild

* Mon Mar 07 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.7-1mdk
- 1.7

* Mon Dec 27 2004 Abel Cheung <deaddog@mandrake.org> 1.5-3mdk
- Provides "fonttracer" (autotrace has same function)

* Sat Dec 11 2004 Abel Cheung <deaddog@mandrake.org> 1.5-2mdk
- Fix file permission

* Fri Dec 10 2004 Abel Cheung <deaddog@mandrake.org> 1.5-1mdk
- New version
- Doesn't need ncompress now

* Tue Jun 22 2004 Blaise Tramier <meles@free.fr> 1.4-1mdk
- first mdk package.

